<?php

namespace Modules\Notification\Http\Resources;

use App\Api\Resources\BaseCollection;

class NotificationCollection extends BaseCollection
{

    public function toArray($request): array
    {
        return [
            'data' => $this->collection->map(function ($notification) {
                return new NotificationResource($notification);
            }),
            'page' => $this->page(),
        ];
    }

}